gnutls_x509_ct_sct_get_version(3)

NAME
gnutls_x509_ct_sct_get_version - API function

SYNOPSIS
#include <gnutls/x509-ext.h>

int gnutls_x509_ct_sct_get_version(gnutls_x509_ct_scts_t scts, unsigned idx, unsigned int * version_out);

ARGUMENTS

gnutls_x509_ct_scts_t scts
    A list of SCTs

unsigned idx
    The index of the target SCT in the list

unsigned int * version_out
    The version of the target SCT.

DESCRIPTION
This function obtains the version of the SCT at the given position in the SCT list.

The version of that SCT will be placed on version_out .

Return : GNUTLS_E_SUCCESS (0) is returned on success, GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE if idx exceeds the number of SCTs in the list and GNUTLS_E_INVALID_REQUEST if the SCT's version is different than 1, as that's currently the only defined version.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/